<?php

/**
 * Description of KeyReader
 *
 * @author ain
 */
class KeyReader extends CFormModel {

	public $runData;

	public function rules() {
	   	return array(
			array('runData', 'safe'),
		);
	}

	public function getForm() {
		return new CForm(array(
			'showErrorSummary' => true,
			'attributes' => array('id' => 'keyWizard'),
			'elements' => array(
				'runData' => array(
					'type' => 'hidden',
				),
			),
			'buttons' => array(
				'submit' => array(
					'type' => 'submit',
					'label' => 'Lõpeta',
					'disabled' => 'disabled',
					'id' => 'keyWizardForwardButton'
				)
			)
		), $this);

	}
}
